cURL
curl --request POST \
--url https://api.hyra.io/staff/timeoff/{workspaceId}/{staffId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"notes": "<string>",
"other": "<string>"
}
'import requests
url = "https://api.hyra.io/staff/timeoff/{workspaceId}/{staffId}"
payload = {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"notes": "<string>",
"other": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
notes: '<string>',
other: '<string>'
})
};
fetch('https://api.hyra.io/staff/timeoff/{workspaceId}/{staffId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"notes": "<string>",
"user": "<string>",
"workspace": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"other": "<string>",
"state_changed_by": "<string>",
"requested_by": "<string>"
}Timeoff
Create Request
Create a timeoff request
POST
/
staff
/
timeoff
/
{workspaceId}
/
{staffId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Default Response
Available options:
medical, mental_health, personal, holiday, moving_house, education, religious, bereavement, military, other Available options:
pending, approved, denied, cancelled ⌘I